
Foreman - Feature #14508

foreman-rake console in sandbox mode

04/06/2016 10:58 AM - Dominique Quatravaux

Status: Closed   

Priority: Normal   

Assignee: Dominique Quatravaux   

Category: Rake tasks   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3398

  

Description

Please make it so that foreman-rake console -- --sandbox runs a sandboxed console (

http://edgeguides.rubyonrails.org/command_line.html#rails-console).

Associated revisions

Revision d395b951 - 04/11/2016 07:55 AM - Dominique Quatravaux

Fixes #14508 - foreman-rake console can take arguments

One can now say e.g.

foreman-rake console -- --sandbox

 We need the --, otherwise foreman-rake itself tries to interpret the flags

Revision 5c7db2cf - 04/18/2016 01:45 PM - Dominique Quatravaux

Fixes #14508 - foreman-rake console can take arguments

One can now say e.g.

foreman-rake console -- --sandbox

 We need the --, otherwise foreman-rake itself tries to interpret the flags

(cherry picked from commit d395b95185e2ef90a8661dac7d5cb1ea846585fe)

History

#1 - 04/06/2016 11:00 AM - Dominic Cleal

- Category set to Rake tasks

#2 - 04/06/2016 11:13 AM - Dominique Quatravaux

Pull request: https://github.com/theforeman/foreman/pull/3398

#3 - 04/06/2016 01:23 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominique Quatravaux

- Pull request https://github.com/theforeman/foreman/pull/3398 added

#4 - 04/11/2016 08:01 AM - Dominique Quatravaux

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d395b95185e2ef90a8661dac7d5cb1ea846585fe.
http://edgeguides.rubyonrails.org/command_line.html#rails-console
https://github.com/theforeman/foreman/pull/3398
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d395b95185e2ef90a8661dac7d5cb1ea846585fe


#5 - 04/11/2016 10:26 AM - Dominic Cleal

- translation missing: en.field_release set to 141
